import style from '../css/SensorList.module.css';
import globalStyle from '../css/App.module.css';
import { NavLink, Outlet } from 'react-router-dom';
import SensorButton from './SensorButton'
export default function SensorList(props) {
    if(!props.sensorData || props.sensorData.length === 0) {
        return (<span data-testid="sensorNoData" className={globalStyle.center}>Données introuvable</span>);
    }
    return (
      <div className={style.flex}>
        <div className={style.sensorList}>
          {props.sensorData.map((s) => (
            <NavLink
              data-testid="sensorLink"
              className={({ isActive }) => (isActive ? style.active : "")}
              to={`${s.name
                .toLowerCase()
                .replace(/ /g, "_")
                .normalize("NFD")
                .replace(/[\u0300-\u036f]/g, "")}`}
              key={s.id}
            >
              <SensorButton sensor={s} />
            </NavLink>
          ))}
        </div>
        <Outlet />
      </div>
    );
}